{% extends 'phpstore/base.html.twig' %}

{% block css %}
    {{ encore_entry_link_tags('subscribe') }}
{% endblock %}
{% block jsscript %}
    {{ encore_entry_script_tags('subscribe') }}
{% endblock %}

{% block content %}
    <div class="wrapp-form">
        <p class="title">Подписка на уведомления</p>
        <p class="notice-empty-fields">Все поля должны быть заполнены</p>
        <form id="subscribe-form" action="/subscribe/" method="post">
            <ul>
                <li>
                    <label for="name">Имя:</label>
                    <br/>
                    <input id="name" type="text" name="name" required/>
                </li>
                <li>
                    <label for="email">Email:</label>
                    <br/>
                    <input id="email" type="email" name="email" required/>
                </li>
                <li>
                    <label for="departments">Раздел:</label>
                    <br/>
                    <select id="departments" class="departments-selector" name="department">
                        <option value="0">Все</option>
                        {% for department in departments %}
                            <option value="{{ department.id }}">{{ department.name }}</option>
                        {% endfor %}
                    </select>
                </li>
                <li>
                    <label for="categories">Категория:</label>
                    <br/>
                    <select disabled id="categories" class="categories-selector" name="category">
                        <option value="0">Все</option>
                        <option value="1">test</option>
                    </select>
                </li>
                <li>
                    <input type="submit" value="Подписаться" class="btn-subscribe" name="submit"/>
                </li>
            </ul>
        </form>
    </div>
{% endblock %}